You are not logged in.

#1 2022-09-24 13:28:04

emgaron
Member
Registered: 2018-03-31
Posts: 22

clementine package in need of rebuild?

I just updated my trusty old eeePC 1000H for the first time in months. Everything went well; however, since the update, Clementine no longer starts. The error message I get points to a missing libprotobuf.so.30 (installed is libprotobuf.so.32) - I take is that this is "just" a matter of rebuilding the package?

Offline

#2 2022-09-24 14:18:17

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

This could be due to https://bugs.archlinux32.org/index.php? … ask_id=275
I was not able so far to fix the 32-bit bugs in protobuf..

Offline

#3 2022-09-24 22:30:39

emgaron
Member
Registered: 2018-03-31
Posts: 22

Re: clementine package in need of rebuild?

Ouch... I'm afraid, the days where I could at least have hoped to be of any assistance in that bug are long gone...

But I'm also a bit confused - Clementine seems to request an older libprotobuf.so than what is installed:

$ ldd `which clementine`
	linux-gate.so.1 (0xb7fb4000)
	libprotobuf.so.30 => not found
	libmygpo-qt5.so.1 => /usr/lib/libmygpo-qt5.so.1 (0xb6eae000)
       [...]

That should not be related to the bug you mention or am I missing something?

Offline

#4 2022-09-25 07:32:09

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

Ah, then it's the other way round: libprotobuf.so.32 is installed with a newer protobuf and clementine fails to rebuild, I'll have a look..

Offline

#5 2022-09-25 07:48:17

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

Interesting, upstream also doesn't build, https://archlinux.org/packages/communit … lementine/.
It references a 1.4.0rc2 (release candidate) which has obviously been redrawn. So I'll try to force the
version back to 1.4.0rc1 and a higher build number and try to rebuild it..

Offline

#6 2022-09-25 08:48:25

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

/build/clementine/src/clementine-1.4.0rc1/src/widgets/freespacebar.cpp: In member function ‘void FreeSpaceBar::DrawBar(QPainter*, const QRect&)’:
/build/clementine/src/clementine-1.4.0rc1/src/widgets/freespacebar.cpp:120:16: error: aggregate ‘QPainterPath clip_path’ has incomplete type and cannot be defined
  120 |   QPainterPath clip_path;

/build/clementine/src/clementine-1.4.0rc1/src/playlist/playlistlistcontainer.cpp: In member function ‘void PlaylistListContainer::AddPlaylist(int, const QString&, bool, const QString*)’:
/build/clementine/src/clementine-1.4.0rc1/src/playlist/playlistlistcontainer.cpp:283:19: error: loop variable ‘s’ creates a copy from type ‘const Song’ [-Werror=range-loop-construct]
  283 |   for (const Song s : app_->playlist_backend()->GetPlaylistSongs(id)) {
      |                   ^
/build/clementine/src/clementine-1.4.0rc1/src/playlist/playlistlistcontainer.cpp:283:19: note: use reference type to prevent copying
  283 |   for (const Song s : app_->playlist_backend()->GetPlaylistSongs(id)) {
      |                   ^

mmh. clementine and new gccs are not friends, it doesn't really build..

Offline

#7 2022-09-25 08:52:17

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

I wonder why upstream is releasing release candidates? It can only be because stable versions are even worse..

Offline

#8 2022-09-25 12:00:46

emgaron
Member
Registered: 2018-03-31
Posts: 22

Re: clementine package in need of rebuild?

abaumann wrote:

I wonder why upstream is releasing release candidates? It can only be because stable versions are even worse..

Hm - all I can see is that on my "normal" Arch Linux machines the installed (and working) version of Clementine is 1.4.0rc2-2, so it has to have built somehow. As for the release candidates: the last stable release from Clementine is 1.3.1, which is some six years old and has a number of bugs - going for 1.4.0rcX actually makes sense to me in that situation.

Offline

#9 2022-09-25 12:12:39

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

No problem, I patched 1.4.0rc1 and it is currently building.

Offline

#10 2022-09-26 22:27:28

emgaron
Member
Registered: 2018-03-31
Posts: 22

Re: clementine package in need of rebuild?

abaumann wrote:

No problem, I patched 1.4.0rc1 and it is currently building.

Great - thank you very much!

Offline

#11 2022-09-27 06:53:00

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

Mmh. I have trouble with the build system, it croaks about not fully trusted signing keys and clementine is running in a loop..?

Offline

#12 2022-09-27 16:05:02

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

Mmh. Maybe it's because I am setting the pkgver inside the diff-PKGBUILD?

Offline

#13 2022-09-27 19:56:06

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: clementine package in need of rebuild?

Doesn't that happen every time you source a new PKGBUILD from upstream for a new release build? Or does the fact it's you doing it and not sourced from upstream impact trust?


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#14 2022-09-28 05:30:20

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

I do something you shouldn't do probably: I'm patching pkgver (which is too new) to an older version directly inside the diff-PKGBUILD,
so the merged PKGBUILD first fails with a wrong pkgver, then it patches the very PKGBUILD used for building in the chroot, and then
it should magically work (at least with staging-pentium4-build it does)..

Offline

#15 2022-09-28 08:13:35

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: clementine package in need of rebuild?

Hmm, yeah that does come across as slightly hacky and likely to break in future in a bad way.  But if you only need it for this release just now then I guess that might be acceptable wink  But if it works in the way you think it does (parse pkgbuild, patch pkgbuild, reparse pkgbuild and build) then I can't see why that would impact signing key trust.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#16 2022-09-28 10:32:33

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

mmh. there is another way: I just copy PKGBUILD from the old version, build it, then switch back the PKGBUILD to the diff-PKGBUILD, that should work.. (TM) :-)

Offline

#17 2022-09-28 15:03:47

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

Nope, doesn't work either, then I get two PKGBUILDs concatenated..

Offline

#18 2022-09-28 15:46:24

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

https://github.com/clementine-player/Cl … g/1.4.0rc2
this looks promising actually. The usual Github download hell... :-)

Offline

#19 2022-09-28 19:50:36

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

I think, clementine (from the stable repos) should work now again..

Offline

#20 2022-09-29 22:04:18

emgaron
Member
Registered: 2018-03-31
Posts: 22

Re: clementine package in need of rebuild?

And so it does - thanks a million for your effort there!

Offline

#21 2022-09-30 06:39:45

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: clementine package in need of rebuild?

np :-)

Offline

Board footer

Powered by FluxBB